## gdppay gdppay |

## Properties

gboolean | crc-header | Read / Write
gboolean | crc-payload | Read / Write
GstDPVersion | version | Read / Write

## Types and Values

struct | GstGDPPay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstGDPPay

## Description

This element payloads GStreamer buffers and events using the GStreamer Data Protocol.

    1
    gst-launch-1.0 -v -m videotestsrc num-buffers=50 ! gdppay ! filesink location=test.gdp

This pipeline creates a serialized video stream that can be played back with the example shown in gdpdepay.

## Synopsis

### Element Information

plugin | gdp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | GDP/Payloader

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | application/x-gdp

## Functions

## Types and Values

### struct GstGDPPay

    struct GstGDPPay;

Private gdppay element structure.

## Property Details

### The `“crc-header”` property

      “crc-header”               gboolean

Calculate and store a CRC checksum on the header.

Flags: Read / Write

Default value: TRUE

### The `“crc-payload”` property

      “crc-payload”              gboolean

Calculate and store a CRC checksum on the payload.

Flags: Read / Write

Default value: FALSE

### The `“version”` property

      “version”                  GstDPVersion

Version of the GStreamer Data Protocol.

Flags: Read / Write

Default value: GST_DP_VERSION_1_0

## See Also

gdpdepay